searchData={"content_type":"text/markdown","items":[{"doc":"An unofficial module for interacting with the Builtwith API.\n\nPlease note: This module is not an official Builtwith API client and is not affiliated with or endorsed by Builtwith. It is a third-party implementation.\n\nThis module provides functions to make requests to the Builtwith API and extract specific data from the JSON response.\n\nTo use this module, you need to have a valid Builtwith API key (bwpass).","ref":"Builtwith.html","title":"Builtwith","type":"module"},{"doc":"This function takes a list of JSON objects (results from a Builtwith API request) and returns the value of the 'Attributes' field from the first object where this field is found.","ref":"Builtwith.html#get_attributes/1","title":"Builtwith.get_attributes/1","type":"function"},{"doc":"iex> Builtwith.get_attributes([%{\"Attributes\" => %{\"key\" => \"value\"}}])\n    %{\"key\" => \"value\"}\n\nIf the 'Attributes' field is not found in any of the JSON objects in the list, the function returns `nil`.","ref":"Builtwith.html#get_attributes/1-examples","title":"Examples - Builtwith.get_attributes/1","type":"function"},{"doc":"This function takes a JSON object and returns the 'IsDB' field from the 'Result' field of the JSON object.","ref":"Builtwith.html#get_db_status/1","title":"Builtwith.get_db_status/1","type":"function"},{"doc":"iex> Builtwith.get_db_status([%{\"Result\" => %{\"IsDB\" => true}}])\n    true\n\nPossible return values are `true`, `false`, `\"Misleading\"`, or `nil` if the 'Result' or 'IsDB' field is not found.","ref":"Builtwith.html#get_db_status/1-examples","title":"Examples - Builtwith.get_db_status/1","type":"function"},{"doc":"This function takes the result of a Builtwith API request and returns the value of the 'Lookup' field, which is the domain being looked up.","ref":"Builtwith.html#get_lookup/1","title":"Builtwith.get_lookup/1","type":"function"},{"doc":"iex> results = [%{\"Lookup\" => \"example.com\"}]\n    iex> Builtwith.get_lookup(results)\n    \"example.com\"\n\nIf the 'Lookup' field is not found, the function returns `nil`.","ref":"Builtwith.html#get_lookup/1-examples","title":"Examples - Builtwith.get_lookup/1","type":"function"},{"doc":"This function takes a list of JSON objects (results from a Builtwith API request) and returns the value of the 'Meta' field from the first object where this field is found.","ref":"Builtwith.html#get_meta/1","title":"Builtwith.get_meta/1","type":"function"},{"doc":"iex> Builtwith.get_meta([%{\"Meta\" => %{\"key\" => \"value\"}}])\n    %{\"key\" => \"value\"}\n\n  If the 'Meta' field is not found in any of the JSON objects in the list, the function returns `nil`.","ref":"Builtwith.html#get_meta/1-examples","title":"Examples - Builtwith.get_meta/1","type":"function"},{"doc":"","ref":"Builtwith.html#get_results/1","title":"Builtwith.get_results/1","type":"function"},{"doc":"This function takes a list of JSON objects (results from a Builtwith API request) and returns the value of the 'Spend' field from the 'Result' object of the first JSON object where the 'Result' field is found.","ref":"Builtwith.html#get_spend/1","title":"Builtwith.get_spend/1","type":"function"},{"doc":"iex> Builtwith.get_spend([%{\"Result\" => %{\"Spend\" => 100}}])\n    100\n\nIf the 'Result' or 'Spend' field is not found in any of the JSON objects in the list, the function returns `nil`.","ref":"Builtwith.html#get_spend/1-examples","title":"Examples - Builtwith.get_spend/1","type":"function"},{"doc":"This function takes a list of JSON objects (results from a Builtwith API request) and returns a list of all 'SubDomain' values found in the 'Paths' field of the 'Result' object.","ref":"Builtwith.html#get_subdomains/1","title":"Builtwith.get_subdomains/1","type":"function"},{"doc":"iex> Builtwith.get_subdomains([%{\"Result\" => %{\"Paths\" => [%{\"SubDomain\" => \"sub1.example.com\"}, %{\"SubDomain\" => \"sub2.example.com\"}]}}])\n    [\"sub1.example.com\", \"sub2.example.com\"]\n\nIf no 'SubDomain' values are found, or if the 'Result' or 'Paths' fields are not found, the function returns `nil`.","ref":"Builtwith.html#get_subdomains/1-examples","title":"Examples - Builtwith.get_subdomains/1","type":"function"},{"doc":"This function takes a list of JSON objects (results from a Builtwith API request) and returns a map where the keys are the 'Tag' values and the values are lists of technologies with that 'Tag' value, extracted from the 'Technologies' field in the 'Paths' array of the 'Result' object.","ref":"Builtwith.html#get_technologies/1","title":"Builtwith.get_technologies/1","type":"function"},{"doc":"iex> Builtwith.get_technologies([%{\"Result\" => %{\"Paths\" => [%{\"Technologies\" => [%{\"Tag\" => \"tag1\", \"Name\" => \"tech1\"}, %{\"Tag\" => \"tag1\", \"Name\" => \"tech2\"}, %{\"Tag\" => \"tag2\", \"Name\" => \"tech3\"}]}]}}])\n    %{\"tag1\" => [%{\"Tag\" => \"tag1\", \"Name\" => \"tech1\"}, %{\"Tag\" => \"tag1\", \"Name\" => \"tech2\"}], \"tag2\" => [%{\"Tag\" => \"tag2\", \"Name\" => \"tech3\"}]}\n\nIf the 'Result', 'Paths', or 'Technologies' field is not found, or if no technologies are present, the function returns an empty map.","ref":"Builtwith.html#get_technologies/1-examples","title":"Examples - Builtwith.get_technologies/1","type":"function"},{"doc":"","ref":"Builtwith.html#make_request/1","title":"Builtwith.make_request/1","type":"function"}],"producer":{"name":"ex_doc","version":[48,46,51,50,46,50]}}